- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinModelHash Class Reference

`#include <CoinModelUseful.hpp>`

Collaboration diagram for CoinModelHash:

[legend]
List of all members.

## hashing
int | hash (const char *name) const
| Returns index or -1.
void | addHash (int index, const char *name)
| Adds to hash.
void | deleteHash (int index)
| Deletes from hash.
const char * | name (int which) const
| Returns name at position (or NULL).
char * | getName (int which) const
| Returns non const name at position (or NULL).
void | setName (int which, char *name)
| Sets name at position (does not create).
void | validateHash () const
| Validates.
int | hashValue (const char *name) const
| Returns a hash value.
## Public Member Functions
Constructors, destructor
| CoinModelHash ()
| Default constructor.
| ~CoinModelHash ()
| Destructor.
Copy method
| CoinModelHash (const CoinModelHash &)
| The copy constructor.
CoinModelHash & | operator= (const CoinModelHash &)
| =
sizing (just increases)
void | resize (int maxItems, bool forceReHash=false)
| Resize hash (also re-hashs).
int | numberItems () const
| Number of items i.e. rows if just row names.
void | setNumberItems (int number)
| Set number of items.
int | maximumItems () const
| Maximum number of items.
const char *const * | names () const
| Names.
## Private Attributes
Data members
char ** | names_
| Names.
CoinModelHashLink * | hash_
| hash
int | numberItems_
| Number of items.
int | maximumItems_
| Maximum number of items.
int | lastSlot_
| Last slot looked at.

## Detailed Description

Definition at line 143 of file CoinModelUseful.hpp.

## Constructor & Destructor Documentation

CoinModelHash::CoinModelHash | ( |  | ) |

Default constructor.

CoinModelHash::~CoinModelHash | ( |  | ) |

Destructor.

CoinModelHash::CoinModelHash | ( | const CoinModelHash & |  | ) |

The copy constructor.

## Member Function Documentation

CoinModelHash& CoinModelHash::operator= | ( | const CoinModelHash & |  | ) |

=

void CoinModelHash::resize | ( | int | maxItems,
|  | bool | forceReHash = `false` |
| ) |  |  |

Resize hash (also re-hashs).

int CoinModelHash::numberItems | ( |  | ) | const`[inline]`

Number of items i.e. rows if just row names.

Definition at line 167 of file CoinModelUseful.hpp.

References numberItems_.

Referenced by CoinModel::stringsExist().

void CoinModelHash::setNumberItems | ( | int | number | ) |

Set number of items.

int CoinModelHash::maximumItems | ( |  | ) | const`[inline]`

Maximum number of items.

Definition at line 172 of file CoinModelUseful.hpp.

References maximumItems_.

const char* const* CoinModelHash::names | ( |  | ) | const`[inline]`

Names.

Definition at line 175 of file CoinModelUseful.hpp.

References names_.

int CoinModelHash::hash | ( | const char * | name | ) | const

Returns index or -1.

void CoinModelHash::addHash | ( | int | index,
|  | const char * | name |
| ) |  |  |

Adds to hash.

void CoinModelHash::deleteHash | ( | int | index | ) |

Deletes from hash.

const char* CoinModelHash::name | ( | int | which | ) | const

Returns name at position (or NULL).

char* CoinModelHash::getName | ( | int | which | ) | const

Returns non const name at position (or NULL).

void CoinModelHash::setName | ( | int | which,
|  | char * | name |
| ) |  |  |

Sets name at position (does not create).

void CoinModelHash::validateHash | ( |  | ) | const

Validates.

int CoinModelHash::hashValue | ( | const char * | name | ) | const`[private]`

Returns a hash value.

## Member Data Documentation

char** CoinModelHash::names_`[private]`

Names.

Definition at line 204 of file CoinModelUseful.hpp.

Referenced by names().

CoinModelHashLink* CoinModelHash::hash_`[private]`

hash

Definition at line 206 of file CoinModelUseful.hpp.

int CoinModelHash::numberItems_`[private]`

Number of items.

Definition at line 208 of file CoinModelUseful.hpp.

Referenced by numberItems().

int CoinModelHash::maximumItems_`[private]`

Maximum number of items.

Definition at line 210 of file CoinModelUseful.hpp.

Referenced by maximumItems().

int CoinModelHash::lastSlot_`[private]`

Last slot looked at.

Definition at line 212 of file CoinModelUseful.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/CoinUtils/src/CoinModelUseful.hpp